(function ($, Drupal) {
  Drupal.behaviors.MonarchSettings = {
    attach: function () {
      $('.colorblind-selection').once('event-init').each(function () {
        var select = $(this), cookies = document.cookie.split(';').reduce(function (obj, v) {
          let line = v.split('=', 2);
          obj[line[0].trim()] = line[1].trim();
          return obj;
        }, {});
        function colorBlindChange () {
          document.body.style.filter = 'url(#' + select.val() + ')';
          document.cookie = 'colorBlindFilter=' + select.val() + ';path=/';
        }
        select.val(cookies.colorBlindFilter || 'none');
        select.change(colorBlindChange);
        colorBlindChange.call(this);
      });
    }
  };
})(jQuery, Drupal);
